<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Loader\ValueObject;

class ChannelPricing
{
    public function __construct(
        private readonly int $id,
        private readonly string $channelCode,
    ) {
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getChannelCode(): string
    {
        return $this->channelCode;
    }
}
