<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Validator\Constraints;

use Dedi\SyliusCustomerPricingPlugin\Validator\UniqueCustomerGroupChannelPricingValidator;
use Symfony\Component\Validator\Constraint;

class UniqueCustomerGroupChannelPricing extends Constraint
{
    public string $customerGroupChannelPricingAlreadyExistsMessage = 'dedi_sylius_customer_pricing_plugin.form.customer_group_channel_pricing.already_exists';

    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }

    public function validatedBy(): string
    {
        return UniqueCustomerGroupChannelPricingValidator::class;
    }
}
