<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Migrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

class Version20220515163654 extends AbstractMigration
{
    public function up(Schema $schema): void
    {
        $this->skipIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('ALTER TABLE dedi_customer_pricing_customer_channel_pricing ADD CONSTRAINT customer_channel_pricing_idx UNIQUE ');
    }
}
