<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Trait\ChannelPricingSubjectTrait;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\ChannelPricingSubjectInterface;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\ProductVariant as BaseProductVariant;

/**
 * @ORM\Entity()
 *
 * @ORM\Table(name="sylius_product_variant")
 *
 */
class ProductVariant extends BaseProductVariant implements ChannelPricingSubjectInterface
{
    use ChannelPricingSubjectTrait;
}
