<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Organization\OrganizationChannelPricingInterface;
use Dedi\SyliusCustomerPricingPlugin\Factory\OrganizationChannelPricingFactory as BaseOrganizationChannelPricingFactory;
use Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity\OrganizationChannelPricing;

class OrganizationChannelPricingFactory extends BaseOrganizationChannelPricingFactory
{
    public function createNew(): OrganizationChannelPricingInterface
    {
        return new OrganizationChannelPricing();
    }
}
