<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Repository;

use Dedi\SyliusCustomerPricingPlugin\Repository\CustomerRepositoryInterface;
use Dedi\SyliusCustomerPricingPlugin\Repository\Trait\OrganizationAwareRepositoryTrait;
use Doctrine\ORM\QueryBuilder;
use Sylius\Bundle\CoreBundle\Doctrine\ORM\CustomerRepository as BaseCustomerRepository;

class CustomerRepository extends BaseCustomerRepository implements CustomerRepositoryInterface
{
    use OrganizationAwareRepositoryTrait;

    public function createListQueryBuilder(): QueryBuilder
    {
        return $this->createQueryBuilder('o');
    }
}
